Unable to run any grass process under macOS X.13.4
Status: Closed

Priority: High

Assignee:

Category: GRASS

Affected QGIS version:3.4.3 Regression?: Yes

Operating System: Mac OS X.13.4 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 26823

Description

After clean install on MacOS X 10.13.4, I was not able to run any off the grass tools.

First error was "python3 file not found" this was easy to fix by adding the good path in my PATH variable

Capture d’écran 2018-05-20 à 10.09.34.png shows the error when running grass 

The error shows a missing folder /<UNKNOWN>/<UNKNOWN>

I tried to create this folder and gives it full rights:

sudo mkdir -p "/<UNKNOWN>/<UNKNOWN>" ; sudo chmod -R ugo+rwx "/<UNKNOWN>"

After that I still can't run v.drape tool (Capture d’écran 2018-05-20 à 10.35.08.png)

Error is: MAPSET <UNKNOWN> - permission denied

Finally I tried to add a TERM=xterm

but I got the same MAPSET <UNKNOWN> - permission denied

History

#1 - 2018-05-30 05:10 AM - Garth Fletcher

same problem here with QGIS 3.0.3 under Mac OS X 10.12.6

#2 - 2018-12-27 10:32 PM - Nyall Dawson

- Status changed from Open to Feedback

Is this still an issue with 3.4?

#3 - 2019-01-14 11:53 PM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

#4 - 2019-01-17 12:38 PM - Giovanni Manghi

- Affected QGIS version changed from 3.0.2 to 3.4.3

- Resolution deleted (no timely feedback)

- Status changed from Closed to Open
Nyall Dawson wrote:

Is this still an issue with 3.4?

from what I've heard, yes.

#5 - 2019-01-26 07:53 AM - Alexander Bruy

- Status changed from Open to Feedback

IMHO this is an upstream issue, as GRASS itself still uses Python 2, while QGIS needs Python 3. See for example 

https://github.com/OSGeo/homebrew-osgeo4mac/issues/452.

#6 - 2019-03-09 10:32 AM - Giovanni Manghi

Could the issuer try again on the latest available installers, as also on Lutra's ones? https://lutraconsulting.github.io/qgis-mac-packager/

#7 - 2019-05-22 10:58 AM - Alexander Bruy

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

Capture d’écran 2018-05-20 à 10.09.34.png 2.64 MB 2018-05-20 Ronan L

Capture d’écran 2018-05-20 à 10.35.08.png 866 KB 2018-05-20 Ronan L

Capture d’écran 2018-05-20 à 10.45.59.png 818 KB 2018-05-20 Ronan L

2025-04-26 2/2

https://github.com/OSGeo/homebrew-osgeo4mac/issues/452
https://lutraconsulting.github.io/qgis-mac-packager/

